Subject: Re: bug#78773: [PATCH] Speedup url-retrieve-synchronously for low-latency connections

From: Steven Allen <[email-masked]>
Date: Sat, 14 Jun 2025 13:51:36 -0700

Steven Allen <[email-masked]> writes:
>
> Looking at this more, I'm becoming more and more convinced that this was
> a bug inadvertently introduced by
> 12a2691fb254db20607b2067a12b795a6d7c6649. That patch was trying to make
> adaptive read buffering work again but it went too far and applied the
> delay everywhere. I've attached what I think is the correct patch, but
> I've also CCed Ian (author of #20978 and the associated patch) in hopes
> of getting a bit more context here.
>
> From 8ab170b8ad4718e6d5d12bbc85e9bcda02fffc0d Mon Sep 17 00:00:00 2001
> From: Steven Allen <[email-masked]>
> Date: Sat, 14 Jun 2025 10:05:05 -0700
> Subject: [PATCH] Exit accept-process-output early when we get output from any
>  process
>

This last patch is definitely buggy (causes random hangs) and didn't
make the performance any faster. I'm going to poke at this code a bit
more.